<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
   "http://www.w3.org/TR/html4/loose.dtd">


<!-- 
PHP Online Backup v0.1a - Open source software released under the GPL License 
Written by Damian McMillan, Jaytag Computer Limited

Release Date 16/11/2010
-->

<!-- Include the configuration file and the main functions file -->
<?php
include("config.php");
include("functions.php");
?>


<!-- HTML section. This section shows the main user interface -->
<html> 
<head>
<meta http-equiv="Content-Type" content="text/html;charset=utf-8" >
<title>PHP Online Backup Tool <?php echo $ver;?>- Index</title>
</head>
<body>
<h1>PHP Online Backup Tool <?php echo $ver;?></h1>
<?php include "menu.php" ?>
<form action="backup.php" method="post">
<p>The backup will execute with the following settings:<br></p>
<table>
	<tr><td>File name prefix</td><td><?php echo $conf['backupname'];?></td></tr>
	<tr><td>Database Username</td><td><?php echo $conf['dbUser'];?></td></tr>
	<tr><td>Database Password</td><td>(for security reasons, this is not shown)</td></tr>
	<tr><td>Database Hostname</td><td><?php echo $conf['dbHost'];?></td></tr>
	<tr><td>Database Name</td><td><?php echo $conf['dbDatabase'];?></td></tr>
</table>
<p>
	<input type="checkbox" name="compress" value="yes"> Compress the backup <br>
	<input type="checkbox" name="delete" value="yes"> Delete the backed up SQL file <br>
	<input type="checkbox" name="backup" value="yes"> Execute backup now <br> 
	<input type="submit" value="Backup">
</p>
</form>
<?php
$current_dir = "$DOCUMENT_ROOT"."./";    //Put in second part, the directory - without a leading slash but with a trailing slash! 
$dir = opendir($current_dir);        // Open the sucker 
echo ("<h1>Previous Backup Files:</h1>"); 
while ($file = readdir($dir))            // while loop 
{ 
$parts = explode(".", $file);                    // pull apart the name and dissect by period 
if (is_array($parts) && count($parts) > 1) {    // does the dissected array have more than one part 
$extension = end($parts);        // set to we can see last file extension 
if ($extension == "zip" OR $extension == "ZIP" OR $extension == "sql" OR $extension == "SQL")    // is extension ext or EXT ? 
echo "<a href=\"$file\" target=\"_blank\"> $file </a><br>";    // If so, echo it out else do nothing cos it's not what we want 
} 
}  
closedir($dir);        // Close the directory after we are done 
?>
<hr>
<p>
	PHP Online Backup <?php echo $ver;?> - Open source software released under the GPL License <br>
	Written by Damian McMillan, <a href="http://www.jaytag.co.uk" target="_blank">Jaytag Computer Limited</a> <br><br>
    <a href="http://validator.w3.org/check?uri=referer">
	<img src="http://www.w3.org/Icons/valid-html401" alt="Valid HTML 4.01 Strict" height="31" width="88"></a>
</p>
</body> 
</html>
